<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Tue Aug 01 04:46:23 EDT 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>TilerImpl (org.eclipse.papyrus.marte.static.profile 1.2.2 API)</title>
<meta name="date" content="2017-08-01">
<link rel="stylesheet" type="text/css" href="../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="TilerImpl (org.eclipse.papyrus.marte.static.profile 1.2.2 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/TilerImpl.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/impl/ShapedImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM.impl"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/impl/TilerImpl.html" target="_top">Frames</a></li>
<li><a href="TilerImpl.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.classes.inherited.from.class.org.eclipse.emf.ecore.impl.BasicEObjectImpl">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM.impl</div>
<h2 title="Class TilerImpl" class="title">Class TilerImpl</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.common.notify.impl.BasicNotifierImpl</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.ecore.impl.BasicEObjectImpl</li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.ecore.impl.EObjectImpl</li>
<li>
<ul class="inheritance">
<li><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/impl/LinkTopologyImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM.impl">org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM.impl.LinkTopologyImpl</a></li>
<li>
<ul class="inheritance">
<li>org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM.impl.TilerImpl</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/LinkTopology.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM">LinkTopology</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/Tiler.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM">Tiler</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">TilerImpl</span>
extends <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/impl/LinkTopologyImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM.impl">LinkTopologyImpl</a>
implements <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/Tiler.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM">Tiler</a></pre>
<div class="block"><!-- begin-user-doc -->
 An implementation of the model object '<em><b>Tiler</b></em>'.
 <!-- end-user-doc -->
 <p>
 The following features are implemented:
 </p>
 <ul>
 <li><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/impl/TilerImpl.html#getOrigin--"><code><em>Origin</em></code></a></li>
 <li><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/impl/TilerImpl.html#getPaving--"><code><em>Paving</em></code></a></li>
 <li><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/impl/TilerImpl.html#getFitting--"><code><em>Fitting</em></code></a></li>
 <li><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/impl/TilerImpl.html#getTiler--"><code><em>Tiler</em></code></a></li>
 <li><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/impl/TilerImpl.html#getBase_ConnectorEnd--"><code><em>Base Connector End</em></code></a></li>
 </ul></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.ecore.impl.BasicEObjectImpl">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;org.eclipse.emf.ecore.impl.BasicEObjectImpl</h3>
<code>org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.common.notify.impl.BasicNotifierImpl">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;org.eclipse.emf.common.notify.impl.BasicNotifierImpl</h3>
<code>org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList&lt;E extends <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a> &amp; org.eclipse.emf.common.notify.Adapter&gt;, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.ecore.InternalEObject">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;org.eclipse.emf.ecore.InternalEObject</h3>
<code>org.eclipse.emf.ecore.InternalEObject.EStore</code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected org.eclipse.uml2.uml.ConnectorEnd</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/impl/TilerImpl.html#base_ConnectorEnd">base_ConnectorEnd</a></span></code>
<div class="block">The cached value of the '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/impl/TilerImpl.html#getBase_ConnectorEnd--"><code><em>Base Connector End</em></code></a>' reference.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/impl/TilerImpl.html#fitting">fitting</a></span></code>
<div class="block">The cached value of the '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/impl/TilerImpl.html#getFitting--"><code><em>Fitting</em></code></a>' attribute.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected static <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/impl/TilerImpl.html#FITTING_EDEFAULT">FITTING_EDEFAULT</a></span></code>
<div class="block">The default value of the '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/impl/TilerImpl.html#getFitting--"><code><em>Fitting</em></code></a>' attribute.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/impl/TilerImpl.html#origin">origin</a></span></code>
<div class="block">The cached value of the '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/impl/TilerImpl.html#getOrigin--"><code><em>Origin</em></code></a>' attribute.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected static <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/impl/TilerImpl.html#ORIGIN_EDEFAULT">ORIGIN_EDEFAULT</a></span></code>
<div class="block">The default value of the '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/impl/TilerImpl.html#getOrigin--"><code><em>Origin</em></code></a>' attribute.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/impl/TilerImpl.html#paving">paving</a></span></code>
<div class="block">The cached value of the '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/impl/TilerImpl.html#getPaving--"><code><em>Paving</em></code></a>' attribute.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected static <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/impl/TilerImpl.html#PAVING_EDEFAULT">PAVING_EDEFAULT</a></span></code>
<div class="block">The default value of the '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/impl/TilerImpl.html#getPaving--"><code><em>Paving</em></code></a>' attribute.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/impl/TilerImpl.html#tiler">tiler</a></span></code>
<div class="block">The cached value of the '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/impl/TilerImpl.html#getTiler--"><code><em>Tiler</em></code></a>' attribute.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected static <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/impl/TilerImpl.html#TILER_EDEFAULT">TILER_EDEFAULT</a></span></code>
<div class="block">The default value of the '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/impl/TilerImpl.html#getTiler--"><code><em>Tiler</em></code></a>' attribute.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM.impl.LinkTopologyImpl">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM.impl.<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/impl/LinkTopologyImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM.impl">LinkTopologyImpl</a></h3>
<code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/impl/LinkTopologyImpl.html#base_Connector">base_Connector</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.emf.ecore.impl.EObjectImpl">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.eclipse.emf.ecore.impl.EObjectImpl</h3>
<code>eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.emf.ecore.impl.BasicEObjectImpl">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.eclipse.emf.ecore.impl.BasicEObjectImpl</h3>
<code>EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.eclipse.emf.ecore.InternalEObject">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.eclipse.emf.ecore.InternalEObject</h3>
<code>EOPPOSITE_FEATURE_BASE</code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier</th>
<th class="colLast" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected </code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/impl/TilerImpl.html#TilerImpl--">TilerImpl</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>org.eclipse.uml2.uml.ConnectorEnd</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/impl/TilerImpl.html#basicGetBase_ConnectorEnd--">basicGetBase_ConnectorEnd</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/impl/TilerImpl.html#eGet-int-boolean-boolean-">eGet</a></span>(int&nbsp;featureID,
    boolean&nbsp;resolve,
    boolean&nbsp;coreType)</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/impl/TilerImpl.html#eIsSet-int-">eIsSet</a></span>(int&nbsp;featureID)</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/impl/TilerImpl.html#eSet-int-java.lang.Object-">eSet</a></span>(int&nbsp;featureID,
    <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;newValue)</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>protected org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/impl/TilerImpl.html#eStaticClass--">eStaticClass</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/impl/TilerImpl.html#eUnset-int-">eUnset</a></span>(int&nbsp;featureID)</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>org.eclipse.uml2.uml.ConnectorEnd</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/impl/TilerImpl.html#getBase_ConnectorEnd--">getBase_ConnectorEnd</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/impl/TilerImpl.html#getFitting--">getFitting</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/impl/TilerImpl.html#getOrigin--">getOrigin</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/impl/TilerImpl.html#getPaving--">getPaving</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/impl/TilerImpl.html#getTiler--">getTiler</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/impl/TilerImpl.html#setBase_ConnectorEnd-org.eclipse.uml2.uml.ConnectorEnd-">setBase_ConnectorEnd</a></span>(org.eclipse.uml2.uml.ConnectorEnd&nbsp;newBase_ConnectorEnd)</code>&nbsp;</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/impl/TilerImpl.html#setFitting-java.lang.String-">setFitting</a></span>(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;newFitting)</code>&nbsp;</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/impl/TilerImpl.html#setOrigin-java.lang.String-">setOrigin</a></span>(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;newOrigin)</code>&nbsp;</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/impl/TilerImpl.html#setPaving-java.lang.String-">setPaving</a></span>(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;newPaving)</code>&nbsp;</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/impl/TilerImpl.html#setTiler-java.lang.String-">setTiler</a></span>(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;newTiler)</code>&nbsp;</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/impl/TilerImpl.html#toString--">toString</a></span>()</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM.impl.LinkTopologyImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM.impl.<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/impl/LinkTopologyImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM.impl">LinkTopologyImpl</a></h3>
<code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/impl/LinkTopologyImpl.html#basicGetBase_Connector--">basicGetBase_Connector</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/impl/LinkTopologyImpl.html#getBase_Connector--">getBase_Connector</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/impl/LinkTopologyImpl.html#setBase_Connector-org.eclipse.uml2.uml.Connector-">setBase_Connector</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.impl.EObjectImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.ecore.impl.EObjectImpl</h3>
<code>eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.impl.BasicEObjectImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.ecore.impl.BasicEObjectImpl</h3>
<code>eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.common.notify.impl.BasicNotifierImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.common.notify.impl.BasicNotifierImpl</h3>
<code>eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM.LinkTopology">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM.<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/LinkTopology.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM">LinkTopology</a></h3>
<code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/LinkTopology.html#getBase_Connector--">getBase_Connector</a>, <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/LinkTopology.html#setBase_Connector-org.eclipse.uml2.uml.Connector-">setBase_Connector</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EObject">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EObject</h3>
<code>eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.common.notify.Notifier">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.common.notify.Notifier</h3>
<code>eAdapters, eDeliver, eNotify, eSetDeliver</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.InternalEObject">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.InternalEObject</h3>
<code>eNotificationRequired</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="ORIGIN_EDEFAULT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ORIGIN_EDEFAULT</h4>
<pre>protected static final&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> ORIGIN_EDEFAULT</pre>
<div class="block">The default value of the '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/impl/TilerImpl.html#getOrigin--"><code><em>Origin</em></code></a>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/impl/TilerImpl.html#getOrigin--"><code>getOrigin()</code></a></dd>
</dl>
</li>
</ul>
<a name="origin">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>origin</h4>
<pre>protected&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> origin</pre>
<div class="block">The cached value of the '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/impl/TilerImpl.html#getOrigin--"><code><em>Origin</em></code></a>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/impl/TilerImpl.html#getOrigin--"><code>getOrigin()</code></a></dd>
</dl>
</li>
</ul>
<a name="PAVING_EDEFAULT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PAVING_EDEFAULT</h4>
<pre>protected static final&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> PAVING_EDEFAULT</pre>
<div class="block">The default value of the '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/impl/TilerImpl.html#getPaving--"><code><em>Paving</em></code></a>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/impl/TilerImpl.html#getPaving--"><code>getPaving()</code></a></dd>
</dl>
</li>
</ul>
<a name="paving">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>paving</h4>
<pre>protected&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> paving</pre>
<div class="block">The cached value of the '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/impl/TilerImpl.html#getPaving--"><code><em>Paving</em></code></a>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/impl/TilerImpl.html#getPaving--"><code>getPaving()</code></a></dd>
</dl>
</li>
</ul>
<a name="FITTING_EDEFAULT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FITTING_EDEFAULT</h4>
<pre>protected static final&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> FITTING_EDEFAULT</pre>
<div class="block">The default value of the '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/impl/TilerImpl.html#getFitting--"><code><em>Fitting</em></code></a>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/impl/TilerImpl.html#getFitting--"><code>getFitting()</code></a></dd>
</dl>
</li>
</ul>
<a name="fitting">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>fitting</h4>
<pre>protected&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> fitting</pre>
<div class="block">The cached value of the '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/impl/TilerImpl.html#getFitting--"><code><em>Fitting</em></code></a>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/impl/TilerImpl.html#getFitting--"><code>getFitting()</code></a></dd>
</dl>
</li>
</ul>
<a name="TILER_EDEFAULT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TILER_EDEFAULT</h4>
<pre>protected static final&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> TILER_EDEFAULT</pre>
<div class="block">The default value of the '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/impl/TilerImpl.html#getTiler--"><code><em>Tiler</em></code></a>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/impl/TilerImpl.html#getTiler--"><code>getTiler()</code></a></dd>
</dl>
</li>
</ul>
<a name="tiler">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>tiler</h4>
<pre>protected&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> tiler</pre>
<div class="block">The cached value of the '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/impl/TilerImpl.html#getTiler--"><code><em>Tiler</em></code></a>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/impl/TilerImpl.html#getTiler--"><code>getTiler()</code></a></dd>
</dl>
</li>
</ul>
<a name="base_ConnectorEnd">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>base_ConnectorEnd</h4>
<pre>protected&nbsp;org.eclipse.uml2.uml.ConnectorEnd base_ConnectorEnd</pre>
<div class="block">The cached value of the '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/impl/TilerImpl.html#getBase_ConnectorEnd--"><code><em>Base Connector End</em></code></a>' reference.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/impl/TilerImpl.html#getBase_ConnectorEnd--"><code>getBase_ConnectorEnd()</code></a></dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="TilerImpl--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>TilerImpl</h4>
<pre>protected&nbsp;TilerImpl()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="eStaticClass--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>eStaticClass</h4>
<pre>protected&nbsp;org.eclipse.emf.ecore.EClass&nbsp;eStaticClass()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/impl/LinkTopologyImpl.html#eStaticClass--">eStaticClass</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/impl/LinkTopologyImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM.impl">LinkTopologyImpl</a></code></dd>
</dl>
</li>
</ul>
<a name="getOrigin--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOrigin</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getOrigin()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/Tiler.html#getOrigin--">getOrigin</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/Tiler.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM">Tiler</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Origin</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/Tiler.html#setOrigin-java.lang.String-"><code>Tiler.setOrigin(String)</code></a>, 
<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/RSMPackage.html#getTiler_Origin--"><code>RSMPackage.getTiler_Origin()</code></a></dd>
</dl>
</li>
</ul>
<a name="setOrigin-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setOrigin</h4>
<pre>public&nbsp;void&nbsp;setOrigin(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;newOrigin)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/Tiler.html#setOrigin-java.lang.String-">setOrigin</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/Tiler.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM">Tiler</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>newOrigin</code> - the new value of the '<em>Origin</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/Tiler.html#getOrigin--"><code>Tiler.getOrigin()</code></a></dd>
</dl>
</li>
</ul>
<a name="getPaving--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPaving</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getPaving()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/Tiler.html#getPaving--">getPaving</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/Tiler.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM">Tiler</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Paving</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/Tiler.html#setPaving-java.lang.String-"><code>Tiler.setPaving(String)</code></a>, 
<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/RSMPackage.html#getTiler_Paving--"><code>RSMPackage.getTiler_Paving()</code></a></dd>
</dl>
</li>
</ul>
<a name="setPaving-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPaving</h4>
<pre>public&nbsp;void&nbsp;setPaving(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;newPaving)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/Tiler.html#setPaving-java.lang.String-">setPaving</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/Tiler.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM">Tiler</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>newPaving</code> - the new value of the '<em>Paving</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/Tiler.html#getPaving--"><code>Tiler.getPaving()</code></a></dd>
</dl>
</li>
</ul>
<a name="getFitting--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFitting</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getFitting()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/Tiler.html#getFitting--">getFitting</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/Tiler.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM">Tiler</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Fitting</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/Tiler.html#setFitting-java.lang.String-"><code>Tiler.setFitting(String)</code></a>, 
<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/RSMPackage.html#getTiler_Fitting--"><code>RSMPackage.getTiler_Fitting()</code></a></dd>
</dl>
</li>
</ul>
<a name="setFitting-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setFitting</h4>
<pre>public&nbsp;void&nbsp;setFitting(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;newFitting)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/Tiler.html#setFitting-java.lang.String-">setFitting</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/Tiler.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM">Tiler</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>newFitting</code> - the new value of the '<em>Fitting</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/Tiler.html#getFitting--"><code>Tiler.getFitting()</code></a></dd>
</dl>
</li>
</ul>
<a name="getTiler--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTiler</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getTiler()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/Tiler.html#getTiler--">getTiler</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/Tiler.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM">Tiler</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Tiler</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/Tiler.html#setTiler-java.lang.String-"><code>Tiler.setTiler(String)</code></a>, 
<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/RSMPackage.html#getTiler_Tiler--"><code>RSMPackage.getTiler_Tiler()</code></a></dd>
</dl>
</li>
</ul>
<a name="setTiler-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setTiler</h4>
<pre>public&nbsp;void&nbsp;setTiler(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;newTiler)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/Tiler.html#setTiler-java.lang.String-">setTiler</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/Tiler.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM">Tiler</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>newTiler</code> - the new value of the '<em>Tiler</em>' attribute.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/Tiler.html#getTiler--"><code>Tiler.getTiler()</code></a></dd>
</dl>
</li>
</ul>
<a name="getBase_ConnectorEnd--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBase_ConnectorEnd</h4>
<pre>public&nbsp;org.eclipse.uml2.uml.ConnectorEnd&nbsp;getBase_ConnectorEnd()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/Tiler.html#getBase_ConnectorEnd--">getBase_ConnectorEnd</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/Tiler.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM">Tiler</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the value of the '<em>Base Connector End</em>' reference.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/Tiler.html#setBase_ConnectorEnd-org.eclipse.uml2.uml.ConnectorEnd-"><code>Tiler.setBase_ConnectorEnd(ConnectorEnd)</code></a>, 
<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/RSMPackage.html#getTiler_Base_ConnectorEnd--"><code>RSMPackage.getTiler_Base_ConnectorEnd()</code></a></dd>
</dl>
</li>
</ul>
<a name="basicGetBase_ConnectorEnd--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>basicGetBase_ConnectorEnd</h4>
<pre>public&nbsp;org.eclipse.uml2.uml.ConnectorEnd&nbsp;basicGetBase_ConnectorEnd()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="setBase_ConnectorEnd-org.eclipse.uml2.uml.ConnectorEnd-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setBase_ConnectorEnd</h4>
<pre>public&nbsp;void&nbsp;setBase_ConnectorEnd(org.eclipse.uml2.uml.ConnectorEnd&nbsp;newBase_ConnectorEnd)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/Tiler.html#setBase_ConnectorEnd-org.eclipse.uml2.uml.ConnectorEnd-">setBase_ConnectorEnd</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/Tiler.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM">Tiler</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>newBase_ConnectorEnd</code> - the new value of the '<em>Base Connector End</em>' reference.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/Tiler.html#getBase_ConnectorEnd--"><code>Tiler.getBase_ConnectorEnd()</code></a></dd>
</dl>
</li>
</ul>
<a name="eGet-int-boolean-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>eGet</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;eGet(int&nbsp;featureID,
                   boolean&nbsp;resolve,
                   boolean&nbsp;coreType)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>eGet</code>&nbsp;in interface&nbsp;<code>org.eclipse.emf.ecore.InternalEObject</code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/impl/LinkTopologyImpl.html#eGet-int-boolean-boolean-">eGet</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/impl/LinkTopologyImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM.impl">LinkTopologyImpl</a></code></dd>
</dl>
</li>
</ul>
<a name="eSet-int-java.lang.Object-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>eSet</h4>
<pre>public&nbsp;void&nbsp;eSet(int&nbsp;featureID,
                 <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;newValue)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>eSet</code>&nbsp;in interface&nbsp;<code>org.eclipse.emf.ecore.InternalEObject</code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/impl/LinkTopologyImpl.html#eSet-int-java.lang.Object-">eSet</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/impl/LinkTopologyImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM.impl">LinkTopologyImpl</a></code></dd>
</dl>
</li>
</ul>
<a name="eUnset-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>eUnset</h4>
<pre>public&nbsp;void&nbsp;eUnset(int&nbsp;featureID)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>eUnset</code>&nbsp;in interface&nbsp;<code>org.eclipse.emf.ecore.InternalEObject</code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/impl/LinkTopologyImpl.html#eUnset-int-">eUnset</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/impl/LinkTopologyImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM.impl">LinkTopologyImpl</a></code></dd>
</dl>
</li>
</ul>
<a name="eIsSet-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>eIsSet</h4>
<pre>public&nbsp;boolean&nbsp;eIsSet(int&nbsp;featureID)</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>eIsSet</code>&nbsp;in interface&nbsp;<code>org.eclipse.emf.ecore.InternalEObject</code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/impl/LinkTopologyImpl.html#eIsSet-int-">eIsSet</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/impl/LinkTopologyImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM.impl">LinkTopologyImpl</a></code></dd>
</dl>
</li>
</ul>
<a name="toString--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>toString</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;toString()</pre>
<div class="block"><!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>toString</code>&nbsp;in class&nbsp;<code>org.eclipse.emf.ecore.impl.BasicEObjectImpl</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/TilerImpl.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/impl/ShapedImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM.impl"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/impl/TilerImpl.html" target="_top">Frames</a></li>
<li><a href="TilerImpl.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.classes.inherited.from.class.org.eclipse.emf.ecore.impl.BasicEObjectImpl">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
